## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngresSynonym

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  IngresSynonymImpl

    public interface IngresSynonym

extends SQLObject

A representation of the model object 'Ingres Synonym'.

The following features are supported:

- `Schema`
- `Table Name`

See Also:
  `IngressqlmodelPackage.getIngresSynonym()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`IngresSchema` `getSchema()` Returns the value of the 'Schema' reference.
`java.lang.String` `getTableName()` Returns the value of the 'Table Name' attribute.
`void` `setSchema(IngresSchema value)` Sets the value of the '`Schema`' reference.
`void` `setTableName(java.lang.String value)` Sets the value of the '`Table Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSchema

    IngresSchema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Synonyms`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(IngresSchema)`, `IngressqlmodelPackage.getIngresSynonym_Schema()`, `IngresSchema.getSynonyms()`

### setSchema

    void setSchema(IngresSchema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getTableName

    java.lang.String getTableName()

  Returns the value of the 'Table Name' attribute.

  If the meaning of the 'Table Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Name' attribute.
  See Also:
    `setTableName(String)`, `IngressqlmodelPackage.getIngresSynonym_TableName()`

### setTableName

    void setTableName(java.lang.String value)

  Sets the value of the '`Table Name`' attribute.

  Parameters:
    `value` - the new value of the 'Table Name' attribute.
  See Also:
    `getTableName()`